<?xml version="1.0" encoding="UTF-8"?>
<!-- This is the XSL to render the Controller Property  page.  The associated web plugin is the ChangeControllerWebPlugin.java -->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<!-- Include some common templates created by SS -->
	<xsl:import href="Utils.xsl"/>
	<xsl:variable name="GLOBAL_VAR_MinimumValue">30</xsl:variable>
	<xsl:variable name="GLOBAL_VAR_MaximumValue">1440</xsl:variable>
	<xsl:variable name="GLOBAL_VAR_IncrementValue">1</xsl:variable>

	<xsl:template match="OMA">
		<xsl:call-template name="scripts"/>
		<DataArea backpagetarget="/servlet/DataArea?plugin=com.dell.sm.webplugins.ControllerInfoWebPlugin" printable="false" email="false" validate="true" Refresh="false" exportdata="false" onLoad="true">
              <xsl:attribute name="submit">/servlet/SubmitForm?plugin=com.dell.sm.webplugins.ControllerExecWebPlugin&amp;ControllerOID=<xsl:value-of select="ControllerOID"/>&amp;ControllerName=<xsl:value-of select="ControllerName"/>&amp;Action=2147483648&amp;help=cnprin</xsl:attribute>
		      <xsl:attribute name="submitdisplay"><xsl:value-of select="$strApply"/></xsl:attribute>
              <xsl:attribute name="backpagedisplayfull"><xsl:value-of select="$strPrevPage"/></xsl:attribute>
              <xsl:attribute name="backpagetarget"><xsl:call-template name="ReturnPage"><xsl:with-param name="BackTo" select="/OMA/BackTo"/></xsl:call-template></xsl:attribute>
 			<PageTitle>
				<xsl:attribute name="display"><xsl:value-of select="$strTitlePart1"/><xsl:value-of select="Controllers/@ControllerName"/><xsl:value-of select="$strTitlePart2"/></xsl:attribute>
			</PageTitle>
			<script language="javascript" src="/oma/js/UtilPM.js"/>
			<script language="javascript">
	    var lastobjcmd;
		var curobjcmd;
		var lastobjcmd1;
		var curobjcmd1;
		var cmdModified = false;
		var _enabled = false;
		
		//initialze
	    function initializationRoutine()
		{
		  if((document.getElementById("UnconfigDrives").value=='2') &amp;&amp; (document.getElementById("UnconfigHotspares").value=='2'))
		   {  
              document.getElementById("SpindownTimeInterval").disabled=true;
			  _enabled = false;
	       } 
		   else
		   {   
              document.getElementById("SpindownTimeInterval").disabled=false;
			  _enabled = true;
		   }
		}
		
		//validate
		function validate() 
		{
		   var oldval=new Array();
		   oldval[0]='<xsl:choose><xsl:when test="substring(//ChangeControllerPropertyMask,28,1)='1'">2</xsl:when><xsl:when test="substring(//ChangeControllerPropertyMask,27,1)='1'">1</xsl:when></xsl:choose>';
           oldval[1]='<xsl:choose><xsl:when test="substring(//ChangeControllerPropertyMask,26,1)='1'">2</xsl:when><xsl:when test="substring(//ChangeControllerPropertyMask,25,1)='1'">1</xsl:when></xsl:choose>';
           oldval[2]='<xsl:value-of select="/OMA/Controllers/DCStorageObject/SpinDownTime"/>';
		   var inputval=new Array(); 
           inputval[0]=document.dataarea.UnconfigDrives.value;
		   inputval[0] = removeLeadingZeros(inputval[0]);			
           inputval[1]=document.dataarea.UnconfigHotspares.value;
		   inputval[1] = removeLeadingZeros(inputval[1]);
           inputval[2]=document.dataarea.SpindownTimeInterval.value;
		   inputval[2] = removeLeadingZeros(inputval[2]);   
		   		   
		   if(oldval[0]==inputval[0] &amp;&amp; oldval[1]==inputval[1] &amp;&amp; oldval[2]==inputval[2])
		   {
		      alert("<xsl:value-of select="$strNoChangeInValue"/>");
			  return false;
		   }
		   
		  if(inputval[2] &lt; 30 || inputval[2] &gt; 1440)
          {
		   	alert("<xsl:value-of select="$strInvalidTimeIntr"/>");
			document.dataarea.SpindownTimeInterval.value = oldval[2];
			return false;
			
          }		  
		   return true;
		}
		
		//onselect change
		function Onselect()
        {
		  if((document.getElementById("UnconfigDrives").value=='2') &amp;&amp; (document.getElementById("UnconfigHotspares").value=='2'))
		   {  
              document.getElementById("SpindownTimeInterval").disabled=true;
			  _enabled = false;
	       } 
		   else
		   {   
              document.getElementById("SpindownTimeInterval").disabled=false;
			  _enabled = true;
		   }
		   
		}
		
		//tonum string
		function tonum(obj)
		{
			 return parseInt(obj);
   	    }
			 
		function getvaluecmd()
		{
			 lastobjcmd = tonum(document.dataarea.SpindownTimeInterval.value);
			 return lastobjcmd;
		}
		
		function getvaluecmd1()
		{
		  	lastobjcmd1 = tonum(document.dataarea.cmdlog.value);
			return lastobjcmd1;
		}
						
		function incrcmd(x , y)
		{
		        if( _enabled == true)
				{
					curobjcmd=getvaluecmd();
					curobjcmd1=getvaluecmd1();
					curobjcmd = curobjcmd + x;
					if ( y &gt;= curobjcmd )
					{
						document.dataarea.SpindownTimeInterval.value = curobjcmd;
					}
					else
					{
						document.dataarea.SpindownTimeInterval.value = y;	
					}
					curobjcmd1 = curobjcmd1 + x;
					if ( y &gt;= curobjcmd1 )
					{
						document.dataarea.cmdlog.value = curobjcmd1;
					}
					else
					{
						document.dataarea.cmdlog.value = y;	
					}
					if( false == cmdModified )
						cmdModified = true;
					return ;
					
                  }			
		}

		function decrcmd(a , b)	
		{
		        if( _enabled == true)
				{
					curobjcmd=getvaluecmd();
					curobjcmd1=getvaluecmd1();
					
					curobjcmd = curobjcmd - a;
					if ( b &lt;= curobjcmd )
					{
						document.dataarea.SpindownTimeInterval.value = curobjcmd;
					}
					else
					{
						document.dataarea.SpindownTimeInterval.value = b;
					}	
					
					curobjcmd1 = curobjcmd1 - a;
					if ( b &lt;= curobjcmd1 )
					{
						document.dataarea.cmdlog.value = curobjcmd1;
					}
					else
					{
						document.dataarea.cmdlog.value = b;
					}
					if( false == cmdModified )
						cmdModified = true;

					return ;
                    
                }					
			}
			
			function validateBudget(component)
            {   validateAndAllowNumbers(component);
            }
			  
	   </script>
            <xsl:call-template name="PwrProps"/>
			
      
		</DataArea>
	</xsl:template>
	   <xsl:template name="PwrProps">
	         <TableData name="cmdLog" display="">
                  <xsl:variable name="showtasks">false</xsl:variable>
       
		<xsl:if test="//ChangeControllerPropertyMask">
           <Row>
             <Data><xsl:attribute name="value"><xsl:value-of select="$strUnconfiguredDrives"/></xsl:attribute></Data>
             <Data name="UnconfigDrives" type="select" handler="javascript:Onselect()" event="onChange">
	         <Choice>
	             <xsl:attribute name="value">
                    <xsl:call-template name="GetControllerProperty">
                       <xsl:with-param name="PropertyMode">
                       <xsl:choose>
                           <xsl:when test="substring(//ChangeControllerPropertyMask,28,1)='1'">16</xsl:when>
                           <xsl:when test="substring(//ChangeControllerPropertyMask,27,1)='1'">32</xsl:when>
                       </xsl:choose>
                       </xsl:with-param>
                    </xsl:call-template>
                 </xsl:attribute>
                 <xsl:attribute name="returnvalue">
                    <xsl:choose>
                         <xsl:when test="substring(//ChangeControllerPropertyMask,28,1)='1'">2</xsl:when>
                         <xsl:when test="substring(//ChangeControllerPropertyMask,27,1)='1'">1</xsl:when>
					</xsl:choose>
                  </xsl:attribute>
               </Choice>
					      
               <xsl:call-template name="for-loop-list-box">
		          <xsl:with-param name="Mask" select="//ChangeControllerPropertyMask"/>
                  <xsl:with-param name="currPolicy">
                     <xsl:choose>
                          <xsl:when test="substring(//ChangeControllerPropertyMask,28,1)='1'">16</xsl:when>
                          <xsl:when test="substring(//ChangeControllerPropertyMask,27,1)='1'">32</xsl:when>
                     </xsl:choose>
                  </xsl:with-param> 
                  <xsl:with-param name="templateName" select="24"/>
	           </xsl:call-template>
             </Data>
           </Row>
        </xsl:if>
       
		<xsl:if test="//ChangeControllerPropertyMask">
           <Row>
             <Data><xsl:attribute name="value"><xsl:value-of select="$strUnconfiguredHotspares"/></xsl:attribute></Data>
             <Data name="UnconfigHotspares" type="select" handler="javascript:Onselect()" event="onChange">
	         <Choice>
	             <xsl:attribute name="value">
                    <xsl:call-template name="GetControllerProperty">
                       <xsl:with-param name="PropertyMode">
                       <xsl:choose>
                           <xsl:when test="substring(//ChangeControllerPropertyMask,26,1)='1'">64</xsl:when>
                           <xsl:when test="substring(//ChangeControllerPropertyMask,25,1)='1'">128</xsl:when>
                       </xsl:choose>
                       </xsl:with-param>
                    </xsl:call-template>
                 </xsl:attribute>
                 <xsl:attribute name="returnvalue">
                    <xsl:choose>
                         <xsl:when test="substring(//ChangeControllerPropertyMask,26,1)='1'">2</xsl:when>
                         <xsl:when test="substring(//ChangeControllerPropertyMask,25,1)='1'">1</xsl:when>
					</xsl:choose>
                  </xsl:attribute>
               </Choice>
					      
               <xsl:call-template name="for-loop-list-box">
		          <xsl:with-param name="Mask" select="//ChangeControllerPropertyMask"/>
                  <xsl:with-param name="currPolicy">
                     <xsl:choose>
                          <xsl:when test="substring(//ChangeControllerPropertyMask,26,1)='1'">64</xsl:when>
                          <xsl:when test="substring(//ChangeControllerPropertyMask,25,1)='1'">128</xsl:when>
                     </xsl:choose>
                  </xsl:with-param> 
                  <xsl:with-param name="templateName" select="25"/>
	           </xsl:call-template>
             </Data>
           </Row>
        </xsl:if>			
         
	   <xsl:element name="Row">
                               
								<xsl:element name="Data">
									<xsl:attribute name="display"><xsl:value-of select="$strSpindownTimeInterval"/></xsl:attribute>
									<xsl:attribute name="value"><xsl:value-of select="$strSpindownTimeInterval"/></xsl:attribute>
								</xsl:element>
								
							    
								<xsl:element name="Data">
									<xsl:attribute name="name">SpindownTimeInterval</xsl:attribute>
									<xsl:attribute name="type">spincontrol</xsl:attribute>
									<xsl:attribute name="size">4</xsl:attribute>
									<xsl:attribute name="maxlength">4</xsl:attribute>
									<xsl:attribute name="value"><xsl:value-of select="Controllers/DCStorageObject/SpinDownTime"/></xsl:attribute>
									<xsl:attribute name="state">2</xsl:attribute>
									<xsl:attribute name="uparrscript">
										<xsl:call-template name="scriptcmd11">
											<xsl:with-param name="max"><xsl:value-of select="$GLOBAL_VAR_MaximumValue"/></xsl:with-param>
											<xsl:with-param name="incr"><xsl:value-of select="$GLOBAL_VAR_IncrementValue"/></xsl:with-param>
										</xsl:call-template>
									</xsl:attribute>
									<xsl:attribute name="downarrscript">
										<xsl:call-template name="scriptcmd12">
											<xsl:with-param name="min"><xsl:value-of select="$GLOBAL_VAR_MinimumValue"/></xsl:with-param>
											<xsl:with-param name="incr"><xsl:value-of select="$GLOBAL_VAR_IncrementValue"/></xsl:with-param>
										</xsl:call-template>
									</xsl:attribute>
									<EventHandler>
                                            <xsl:attribute name="event">onKeyUp</xsl:attribute>
                                            <xsl:attribute name="handler">javascript:validateBudget(this);</xsl:attribute>
                                    </EventHandler>
							   </xsl:element>		
									
								 
								<xsl:element name="Data">
								 
								    <xsl:attribute name="type">hidden</xsl:attribute>
									<xsl:attribute name="align">right</xsl:attribute>
									<xsl:attribute name="name">cmdlog</xsl:attribute>
									<xsl:attribute name="returnvalue"><xsl:value-of select="$GLOBAL_VAR_MaximumValue"/></xsl:attribute>
								 
								</xsl:element>
        	
       </xsl:element>	   
      </TableData>
	 
    </xsl:template>
		<xsl:template name="scriptcmd11">javascript:incrcmd(<xsl:value-of select="$GLOBAL_VAR_IncrementValue"/>,<xsl:value-of select="$GLOBAL_VAR_MaximumValue"/>)</xsl:template>
	    <xsl:template name="scriptcmd12">javascript:decrcmd(<xsl:value-of select="$GLOBAL_VAR_IncrementValue"/>,<xsl:value-of select="$GLOBAL_VAR_MinimumValue"/>)</xsl:template>
</xsl:stylesheet>


